Package fr.gouv.vitam.functional.administration.core.rules

# Class LogbookRuleImportManager

java.lang.Object
fr.gouv.vitam.functional.administration.core.rules.LogbookRuleImportManager

public class LogbookRuleImportManager extends Object

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `LogbookRuleImportManager(LogbookOperationsClientFactory logbookOperationsClientFactory)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `initializeUnitRuleUpdateWorkflowLogbook(GUID updateOperationGUID, GUID reqId)`
  `void`
  `initStpImportRulesLogbookOperation(GUID eip)`
  `boolean`
  `isImportOperationInProgress()`
  `void`
  `updateCheckFileRulesLogbookOperation(StatusCode statusCode, Set<String> usedUpdatedRuleIds, Set<String> notUsedDeletedRuleIds, Set<String> nonDeletableUsedRuleIds, Set<String> usedRuleIdsWithDurationModeUpdate, GUID evIdentifierProcess)`
  `void`
  `updateCheckFileRulesLogbookOperationWhenCheckBeforeImportIsKo(String subEvenType, GUID evIdentifierProcess)`
  `void`
  `updateCommitFileRulesLogbookOperationOkOrKo(StatusCode statusCode, GUID evIdentifierProcess, int nbDeleted, int nbUpdated, int nbInserted)`
  `void`
  `updateStpImportRulesLogbookOperation(GUID eip, StatusCode status, String filename)`
  `void`
  `updateUnitRuleUpdateWorkflowLogbook(GUID updateOperationGUID, GUID reqId)`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LogbookRuleImportManager

    public LogbookRuleImportManager(LogbookOperationsClientFactory logbookOperationsClientFactory)

- ## Method Details

  - ### initStpImportRulesLogbookOperation

    public void initStpImportRulesLogbookOperation(GUID eip) throws LogbookClientException
    Throws:
      `LogbookClientException`

  - ### updateCommitFileRulesLogbookOperationOkOrKo

    public void updateCommitFileRulesLogbookOperationOkOrKo(StatusCode statusCode, GUID evIdentifierProcess, int nbDeleted, int nbUpdated, int nbInserted) throws LogbookClientException
    Throws:
      `LogbookClientException`

  - ### updateCheckFileRulesLogbookOperation

    public void updateCheckFileRulesLogbookOperation(StatusCode statusCode, Set<String> usedUpdatedRuleIds, Set<String> notUsedDeletedRuleIds, Set<String> nonDeletableUsedRuleIds, Set<String> usedRuleIdsWithDurationModeUpdate, GUID evIdentifierProcess) throws LogbookClientException
    Throws:
      `LogbookClientException`

  - ### updateCheckFileRulesLogbookOperationWhenCheckBeforeImportIsKo

    public void updateCheckFileRulesLogbookOperationWhenCheckBeforeImportIsKo(String subEvenType, GUID evIdentifierProcess) throws LogbookClientException
    Throws:
      `LogbookClientException`

  - ### updateStpImportRulesLogbookOperation

    public void updateStpImportRulesLogbookOperation(GUID eip, StatusCode status, String filename) throws InvalidParseOperationException, LogbookClientException
    Throws:
      `InvalidParseOperationException`
      `LogbookClientException`

  - ### initializeUnitRuleUpdateWorkflowLogbook

    public void initializeUnitRuleUpdateWorkflowLogbook(GUID updateOperationGUID, GUID reqId) throws LogbookClientException
    Throws:
      `LogbookClientException`

  - ### updateUnitRuleUpdateWorkflowLogbook

    public void updateUnitRuleUpdateWorkflowLogbook(GUID updateOperationGUID, GUID reqId) throws LogbookClientException
    Throws:
      `LogbookClientException`

  - ### isImportOperationInProgress

    public boolean isImportOperationInProgress() throws FileRulesException
    Throws:
      `FileRulesException`